# $Revision: 1.42 $, $Date: 2010/04/13 12:38:04 $
Summary:	A C++ BitTorrent library
Summary(hu.UTF-8):	C++ BitTorrent könyvtár
Summary(pl.UTF-8):	Biblioteka BitTorrenta napisana w C++
Name:		libtorrent-rasterbar
Version:	0.14.10
Release:	3
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://libtorrent.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	99e9f4fa9c9f1f5097a4748c7260ef53
URL:		http://www.rasterbar.com/products/libtorrent/
Patch0:		bashizm.patch
BuildRequires:	GeoIP-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	boost-python-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	util-linux-ng
BuildRequires:	which
BuildRequires:	zlib-devel
Obsoletes:	rb_libtorrent
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other BitTorrent implementations around. It is
a library and not a full featured client, although it comes with a
working example client.

Its main goals are to be very efficient (in terms of CPU and memory
usage) as well as being very easy to use both as a user and developer.

%description -l hu.UTF-8
libtorrent-rasterbar egy C++ könyvtár, amely egy jó alternatívája
kíván lenni az összes többi BitTorrent implementációjának. Ez "csak"
egy könyvtár, és nem egy szolgáltatásgazdag kliens, habár ad egy
működő példa-klienst.

A fő céljai, hogy nagyon hatékony legyen (CPU és memória-használat) és
könnyű legyen használni mind a felhasználóknak, mind a fejlesztőknek.

%description -l pl.UTF-8
libtorrent-rasterbar jest napisaną w C++ biblioteką, która aspiruje do
bycia dobrą alternatywą dla wszystkich innych implementacji
BitTorrenta. Jest to biblioteka a nie pełnoprawny klient, aczkolwiek
pakiet zawiera działającego przykładowego klienta.

Główne cele biblioteki to bycie bardzo efektywną (w rozumieniu
wykorzystania procesora i pamięci) jak również łatwą w użyciu zarówno
dla użytkownika, jak i programisty.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
License:	BSD, zlib/libpng License, Boost Software License
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	boost-devel
Requires:	openssl-devel
Obsoletes:	rb_libtorrent-devel

%description    devel
The libtorrent-rasterbar-devel package contains libraries and header
files for developing applications that use libtorrent-rasterbar.

The various source and header files included in this package are
licensed under the revised BSD, zlib/libpng, and Boost Public
licenses.

%description devel -l hu.UTF-8
A libtorrent-rasterbar-devel csomag tartalmazza a könyvtári és
fejlesztői fájlokat, amellyel libtorrent-rasterbar-t használó
alkalmazásokat fejleszthetsz.

%description devel -l pl.UTF-8
Pakiet libtorrent-rasterbar-devel zawiera biblioteki i nagłówki do
rozwijania aplikacji używających libtorrent-rasterbar.

Różne pliki źródłowe i nagłówki dostarczone z tym pakietem są
licencjonowane pod zmienioną licencją BSD, zlib/libpng i Boost Public
License.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	rb_libtorrent-static

%description static
Static libtorrent-rasterbar library.

%description static -l hu.UTF-8
Statikus libtorrent-rasterbar könyvtár.

%description static -l pl.UTF-8
Statyczna biblioteka libtorrent-rasterbar.

%package -n python-libtorrent-rasterbar
Summary:	Python bindings for libtorrent-rasterbar
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-libtorrent-rasterbar
Python bindings for libtorrent-rasterbar.

%prep
%setup -q
%patch0 -p1
%{__sed} -i 's/ACLOCAL_AMFLAGS = -I m4/#ACLOCAL_AMFLAGS = -I m4/' Makefile.am

## Some of the sources and docs are executable, which makes rpmlint against
## the resulting -debuginfo and -devel packages, respectively, quite angry. :]
find src docs -type f | xargs chmod a-x
find -type f -regex '.*\.[hc]pp' | xargs chmod a-x
## The RST files are the sources used to create the final HTML files; and are
## not needed.
rm -f docs/*.rst

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	LIBS="-lpthread -lrt" \
	--enable-python-binding \
	--with-boost-libdir=%{_libdir} \
	--with-boost-system=boost_system \
	--with-boost-filesystem=boost_filesystem \
	--with-boost-thread=boost_thread \
	--with-boost-regex=boost_regex \
	--with-boost-program-options=boost_program_options \
	--with-asio=system \
	--with-zlib=system \
	--with-libgeoip=system \
	--with-ssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
## Ensure that we preserve our timestamps properly.
#export CPPROG="%{__cp} -p"
#make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

## Do the renaming due to the somewhat limited %{_bindir} namespace.
rename client torrent_client $RPM_BUILD_ROOT%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%attr(755,root,root) %{_libdir}/libtorrent-rasterbar.so*

%files devel
%defattr(644,root,root,755)
%doc docs/
%attr(755,root,root) %{_libdir}/libtorrent-rasterbar.so
%{_libdir}/libtorrent-rasterbar.la
%{_pkgconfigdir}/libtorrent-rasterbar.pc
%{_includedir}/libtorrent

%files static
%defattr(644,root,root,755)
%{_libdir}/libtorrent-rasterbar.a

%files -n python-libtorrent-rasterbar
%defattr(644,root,root,755)
%{py_sitedir}/libtorrent.so
%{py_sitedir}/python_libtorrent-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtorrent-rasterbar.spec,v $
Revision 1.42  2010/04/13 12:38:04  uzsolt
- rel 3
- epoch in Requires

Revision 1.41  2010/04/13 11:47:12  uzsolt
- rel 2

Revision 1.40  2010/04/12 17:15:57  uzsolt
- downgrade to 0.14.10
- epoch 1 (see https://bugs.launchpad.net/qbittorrent/+bug/490024)
- rel 1

Revision 1.39  2010/04/11 10:54:40  uzsolt
- disable-valloc.patch
- rel 3

Revision 1.38  2010/03/26 10:44:17  pluto
- release 2 (rebuild with boost-1.42.0)

Revision 1.37  2010/03/22 09:15:20  lisu
- up to 0.15.0

Revision 1.36  2010/03/15 11:34:52  lisu
- remove TODO (now it builds on 64 bits)

Revision 1.35  2010/03/14 19:01:36  wiget
- fix building on x86_64
- release 4

Revision 1.34  2010/03/08 13:31:24  hawk
- release 3

Revision 1.33  2010/03/05 09:35:26  hawk
- release 2

Revision 1.32  2010/02/19 15:31:07  lisu
- 0.14.9

Revision 1.31  2010/01/20 10:15:00  lisu
- TODO

Revision 1.30  2010/01/20 09:38:49  lisu
- up to 0.14.8

Revision 1.29  2010/01/14 13:51:43  hawk
- release 3

Revision 1.28  2009/12/31 18:25:45  megabajt
- release 2

Revision 1.27  2009/11/25 14:06:06  sparky
- also link with -lrt

Revision 1.26  2009/11/24 18:37:36  sparky
- BR: python-modules, rpm-pythonprov
- link with -lpthread

Revision 1.25  2009/11/24 13:49:35  lisu
- adapter

Revision 1.24  2009/11/24 13:48:51  lisu
- 0.14.7

Revision 1.23  2009/11/14 13:20:50  wiget
- fix bashizm in configure
- build python bindings
- use system GeoIP
- release 2

Revision 1.22  2009/09/21 14:29:55  lisu
- notice patch remove in previous log

Revision 1.21  2009/09/21 14:25:53  lisu
- up to 0.14.6
- change autotools order - libtoolize first
- rm obsolete patch

Revision 1.20  2009/08/29 10:00:18  pluto
- release 2 (rebuild with boost-1.40.0)

Revision 1.19  2009/08/10 09:33:34  lisu
- 0.14.5

Revision 1.18  2009/06/01 14:51:07  lisu
- 0.14.4

Revision 1.17  2009/04/27 07:58:34  lisu
- up to 0.14.3
- fix conflict with ACLOCAL_AMFLAGS during libtoolize

Revision 1.16  2009/03/13 22:44:46  hawk
- release 3

Revision 1.15  2009/03/03 21:04:54  qboosh
- pl fixes, reformatted using proper encoding

Revision 1.14  2009/03/02 13:27:39  lisu
- up to 0.14.2
- adapter

Revision 1.13  2009/01/24 18:22:09  uzsolt
- rel 2
- need rebuild with boost 1.37.0!

Revision 1.12  2008/12/04 09:30:48  lisu
- 0.14.1

Revision 1.11  2008/11/16 12:00:16  uzsolt
- revert to rev 1.8

Revision 1.8  2008/11/10 19:08:42  megabajt
- added O: rb_libtorrent, rb_libtorrent-devel, rb_libtorrent-static

Revision 1.7  2008/11/10 16:49:47  duddits
- up to 0.14
- obsolete patches removed
- %configure options updated

Revision 1.6  2008/09/09 12:37:39  pluto
- add missed BRs.

Revision 1.5  2008/09/07 09:29:03  uzsolt
- removed libtorrent-devel conflict (libtorrent-rb's files names are libtorrent-rasterbar*)
- release 3

Revision 1.4  2008/09/06 21:06:36  paszczus
- release 2

Revision 1.3  2008/09/01 17:16:04  uzsolt
- added -L/usr/lib64 to LDFLAGS

Revision 1.1  2008/08/31 11:25:25  uzsolt
- rb_libtorrent renamed to libtorrent-rasterbar
- up to 0.13.1

Revision 1.12  2008/05/21 01:12:24  sls
- added boost_1_35.patch

Revision 1.11  2008-04-29 14:06:07  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.10  2008-04-16 19:19:42  lisu
- STBR for last revision

Revision 1.9  2008-04-16 19:18:41  lisu
- 0.13
- use auto tools
- use sed macro
- STBR

Revision 1.8  2008-02-03 11:21:44  lisu
- 0.12.1
- shared library has a new name in ths version

Revision 1.7  2008-01-24 22:03:56  blues
- rel.2

Revision 1.6  2007/10/04 15:19:10  dzeus
- rel.1

Revision 1.5  2007/07/22 01:03:11  lisu
- 0.12.0

Revision 1.4  2007/03/31 17:56:29  qboosh
- pl fixes, cleanup

Revision 1.3  2007/03/18 20:09:29  glen
- use |xargs, calls chmod with multiple args
- no macros in %description help adapter to wrap the same in resulting package

Revision 1.2  2007/03/18 20:05:11  glen
- boost/functional/hash N/A before 0.33.1

Revision 1.1  2007/03/18 17:46:18  czarny
- alternative libtorrent implementation
- needs some checkup and fixes in boost to compile
